import { Component, inject } from '@angular/core';
import { GameService } from '../../service/game.service';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-status-bar',
  imports: [CommonModule],
  templateUrl: './status-bar.component.html',
  styleUrl: './status-bar.component.scss'
})
export class StatusBarComponent {
  public gameService: GameService = inject(GameService);


  onClick(event: any) {
    event.stopPropagation();
  }

  print() {
    console.log("PRI")
  }

  toggleBuy() {
    this.gameService.showBuyShip = !this.gameService.showBuyShip;
  }
}
